<?php

use kernel\App;
use kernel\modules\admin_themes\controllers\AdminThemeController;
use Phroute\Phroute\RouteCollector;

App::$collector->group(["prefix" => "admin"], function (RouteCollector $router){
    App::$collector->group(["before" => "auth"], function (RouteCollector $router) {
        App::$collector->group(["prefix" => "settings"], function (RouteCollector $router) {
            App::$collector->group(["prefix" => "themes"], function (RouteCollector $router) {
                App::$collector->get('/', [\kernel\modules\themes\controllers\ThemeController::class, 'actionIndex']);
                App::$collector->get('/activate', [\kernel\modules\themes\controllers\ThemeController::class, 'actionActivate']);
            });
        });
    });
});